LinkedIn contact enrichment
Start LinkedIn contact enrichment
Start enrichment from a LinkedIn profile URL.
POST
/
v1
/
contact
/
enrich
Start LinkedIn contact enrichment
curl --request POST \
--url https://app.kalent.ai/api/v1/contact/enrich \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"linkedinUrl": "<string>",
"enrichmentType": "<string>"
}
'import requests
url = "https://app.kalent.ai/api/v1/contact/enrich"
payload = {
"linkedinUrl": "<string>",
"enrichmentType": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({linkedinUrl: '<string>', enrichmentType: '<string>'})
};
fetch('https://app.kalent.ai/api/v1/contact/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
First time? Set up Authentication
Learn how to authenticate your API requests with your API key.
Request body
string
required
Public LinkedIn profile URL for one person only.
string
required
One of
phone, personalEmail, or all.Response
Whensuccess is true, data includes talentId, canonical linkedinUrl, and enrichmentType.
curl -X POST https://app.kalent.ai/api/v1/contact/enrich \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{"linkedinUrl":"https://www.linkedin.com/in/example","enrichmentType":"all"}'
Errors
| Code | HTTP |
|---|---|
validation_error | 400 |
missing_enrich_providers | 400 |
insufficient_credits | 402 |
not_found | 404 |
internal_error | 500 |
Previous
Get LinkedIn contact enrichment resultRead contact enrichment results for a workspace talent.
Next
⌘I
Start LinkedIn contact enrichment

